\hypertarget{changelog}{%
\section{Changelog}\label{changelog}}

\begin{itemize}
\item
  2020/09/07

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3f} released.
  \end{itemize}
\item
  2020/08/26

  \begin{itemize}
  \tightlist
  \item
    \texttt{fixinlines} DOM filter: added
    \texttt{\textless{}a\textgreater{}} element into list of inline
    elements.
  \end{itemize}
\item
  2020/08/24

  \begin{itemize}
  \tightlist
  \item
    initialize attributes in new element in \texttt{mathmlfixes} DOM
    extension.
  \end{itemize}
\item
  2020/07/18

  \begin{itemize}
  \tightlist
  \item
    changed CSS for the HTML documentation.
  \end{itemize}
\item
  2020/07/17

  \begin{itemize}
  \tightlist
  \item
    fixed bug in index parsing.
  \end{itemize}
\item
  2020/07/10

  \begin{itemize}
  \tightlist
  \item
    use the \texttt{joincharacters} DOM filter for TEI output.
  \end{itemize}
\item
  2020/07/08

  \begin{itemize}
  \tightlist
  \item
    don't fail when filename cannot be detected in
    \texttt{make4ht-errorlogparser.lua}.
  \end{itemize}
\item
  2020/05/27

  \begin{itemize}
  \tightlist
  \item
    test if copied file exists in \texttt{mkutils.cp}.
  \end{itemize}
\item
  2020/05/19

  \begin{itemize}
  \tightlist
  \item
    fixed image filename replace in \texttt{dvisvgm\_hashes} extension.
  \end{itemize}
\item
  2020/05/16

  \begin{itemize}
  \tightlist
  \item
    fixed HTML filename matching in extensions.
  \end{itemize}
\item
  2020/05/08

  \begin{itemize}
  \tightlist
  \item
    use global environment in the build files.
  \end{itemize}
\item
  2020/03/03

  \begin{itemize}
  \tightlist
  \item
    added \texttt{jats} format.
  \end{itemize}
\item
  2020/02/28

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3e\ released}.
  \end{itemize}
\item
  2020/02/24

  \begin{itemize}
  \tightlist
  \item
    \texttt{t4htlinks} DOM filter: cleanup file names from internal
    links.
  \item
    \texttt{make4ht-indexing}: added support for splitindex.
  \end{itemize}
\item
  2020/02/19

  \begin{itemize}
  \tightlist
  \item
    use \texttt{UTF-8} output by default. \texttt{8-bit} output is
    broken and non fixable.
  \end{itemize}
\item
  2020/02/07

  \begin{itemize}
  \tightlist
  \item
    use \texttt{lualatex-dev} instead of \texttt{harflatex}
  \end{itemize}
\item
  2020/02/06

  \begin{itemize}
  \tightlist
  \item
    added support for \texttt{harflatex} and \texttt{harftex} in the
    \texttt{detect\_engine} extension.
  \end{itemize}
\item
  2020/01/22

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3d} released.
  \item
    added \texttt{Make:httex} command for Plain TeX support.
  \item
    added \texttt{detect\_engine} extension. It supports detection of
    the used engine and format from TeX Shop or TeXWorks magic comments.
    These comments can look like:
    \texttt{\%!TEX\ TS-program\ =\ xelatex}.
  \end{itemize}
\item
  2020/01/22

  \begin{itemize}
  \tightlist
  \item
    fixed support for multiple indices in \texttt{make4ht-indexing.lua}.
  \end{itemize}
\item
  2019/12/29

  \begin{itemize}
  \tightlist
  \item
    use the \texttt{mathvariant="italic"} attribute for joined
    \texttt{\textless{}mi\textgreater{}} elements.
  \item
    fixed comparison of element attributes in \texttt{joincharacters}
    DOM filter.
  \end{itemize}
\item
  2019/12/28

  \begin{itemize}
  \tightlist
  \item
    print warning if the input file doesn't exist.
  \end{itemize}
\item
  2019/12/17

  \begin{itemize}
  \tightlist
  \item
    added \texttt{booktabs} DOM filter.
  \item
    load the \texttt{booktabs} in \texttt{common\_domfilters} by
    default.
  \end{itemize}
\item
  2019/12/14

  \begin{itemize}
  \tightlist
  \item
    fixed bug in the \texttt{tablerows} DOM filter -- it could remove
    table rows if they contained only one column with elements that
    contained no text content.
  \end{itemize}
\item
  2019/11/28

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3c} released.
  \item
    updated \texttt{mathmlfixes} DOM filter. It handles
    \texttt{\textless{}mstyle\textgreater{}} element inside token
    elements now.
  \item
    use \texttt{mathmlfixes} and \texttt{joincharacters} DOM filters for
    math XML files in the ODT output.
  \end{itemize}
\item
  2019/11/25

  \begin{itemize}
  \tightlist
  \item
    added \texttt{pythontex} command.
  \item
    added \texttt{mathmlfixes} DOM filter.
  \item
    use the \texttt{mathmlfixes} DOM filter in
    \texttt{common\_domfilters} extension.
  \end{itemize}
\item
  2019/11/22

  \begin{itemize}
  \tightlist
  \item
    \texttt{make4ht-joincharacters} dom filter: added support for the
    \texttt{\textless{}mi\textgreater{}} element. Test all attributes
    for match when joining characters.
  \item
    \texttt{html5} format: use the \texttt{common\_domfilters} by
    default.
  \end{itemize}
\item
  2019/11/03

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3b}
  \item
    use \texttt{make4ht-ext-} prefix for extensions to prevent filename
    clashes with corresponding filters.
  \end{itemize}
\item
  2019/11/01

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3a} released.
  \item
    added \texttt{make4ht-} prefix to all extensions and formats
  \item
    removed the unused \texttt{mathjaxnode.lua} file.
  \end{itemize}
\item
  2019/11/01

  \begin{itemize}
  \tightlist
  \item
    version \texttt{0.3} released.
  \item
    added \texttt{Make:makeindex}, \texttt{Make:xindex} and
    \texttt{Make:bibtex} commands.
  \end{itemize}
\item
  2019/10/25

  \begin{itemize}
  \tightlist
  \item
    modified the \texttt{Make:xindy} command to use the indexing
    mechanism.
  \end{itemize}
\item
  2019/10/24

  \begin{itemize}
  \tightlist
  \item
    added functions for preparing and cleaning of the index files in
    \texttt{make4ht-indexing.lua}.
  \end{itemize}
\item
  2019/10/23

  \begin{itemize}
  \tightlist
  \item
    replaced \texttt{os.execute} function with \texttt{mkutils.execute}.
    It uses the logging mechanism for the output.
  \item
    finished transforming of filters, extensions and formats to the
    logging system.
  \end{itemize}
\item
  2019/10/22

  \begin{itemize}
  \tightlist
  \item
    added \texttt{tablerows} domfilter.
  \item
    added the \texttt{tablerows} domfilter to the
    \texttt{common\_domfilters} extension.
  \item
    converted most of the filters to use the logging mechanism.
  \end{itemize}
\item
  2019/10/20

  \begin{itemize}
  \tightlist
  \item
    added \texttt{status} log level.
  \end{itemize}
\item
  2019/10/18

  \begin{itemize}
  \tightlist
  \item
    converted most print commands to use the logging mechanism.
  \item
    added \texttt{output} log level used for printing of the commands
    output.
  \end{itemize}
\item
  2019/10/17

  \begin{itemize}
  \tightlist
  \item
    added \texttt{-\/-loglevel} CLI parameter.
  \item
    added logging mechanism.
  \item
    moved \texttt{htlatex} related code to \texttt{make4ht-htlatex.lua}
    from \texttt{mkutils.lua}
  \end{itemize}
\item
  2019/10/11

  \begin{itemize}
  \tightlist
  \item
    added \texttt{xindy} settings.
  \item
    added simple regular expression to detect errors in the log file,
    because log parsing can be slow.
  \end{itemize}
\item
  2019/10/09

  \begin{itemize}
  \tightlist
  \item
    added the \texttt{interaction} parameter for the \texttt{htlatex}
    command. The default value is \texttt{batchmode} to suppress the
    user input on errors, and to suppress full log output to the
    terminal.
  \item
    added the \texttt{make4ht-errorlogparser} module. It is used to
    parse errors in the \texttt{htlatex} run unless \texttt{interaction}
    is set to \texttt{errorstopmode}.
  \end{itemize}
\item
  2019/10/08

  \begin{itemize}
  \tightlist
  \item
    set up Github Actions pipeline to compile the documentation to HTML
    and publish it at https://www.kodymirus.cz/make4ht/make4ht-doc.html.
  \end{itemize}
\item
  2019/10/07

  \begin{itemize}
  \tightlist
  \item
    don't move the \texttt{common\_domfilters} extension to the first
    place in the file matches pipeline. We may want to run \texttt{tidy}
    or regex filters first, to fix XML validation errors.
  \end{itemize}
\item
  2019/10/04

  \begin{itemize}
  \tightlist
  \item
    added HTML documentation.
  \end{itemize}
\item
  2019/09/27

  \begin{itemize}
  \tightlist
  \item
    don't convert Latin 1 entities to Unicode in the
    \texttt{entities\_to\_unicode} extension.
  \end{itemize}
\item
  2019/09/20

  \begin{itemize}
  \tightlist
  \item
    fixed bugs in the temporary directory handling for the ODT output.
  \end{itemize}
\item
  2019/09/13

  \begin{itemize}
  \tightlist
  \item
    added \texttt{preprocess\_input} extension. It enables compilation
    of formats supported by \href{https://yihui.name/knitr/}{Knitr}
    (\texttt{.Rnw}, \texttt{.Rtex}, \texttt{.Rmd}, \texttt{.Rrst}) and
    also Markdown and reStructuredText formats.
  \end{itemize}
\item
  2019/09/12

  \begin{itemize}
  \tightlist
  \item
    added support for the ODT files in \texttt{common\_domfilters}
    extension.
  \item
    renamed \texttt{charclases} option for the \texttt{joincharacters}
    DOM filter to \texttt{charclasses}.
  \item
    don't execute the \texttt{fixentities} filter before Xtpipes, it
    makes no sense.
  \end{itemize}
\item
  2019/09/11

  \begin{itemize}
  \tightlist
  \item
    added support for Biber in the build files.
  \end{itemize}
\item
  2019/08/28

  \begin{itemize}
  \tightlist
  \item
    added support for input from \texttt{stdin}.
  \end{itemize}
\item
  2019/08/27

  \begin{itemize}
  \tightlist
  \item
    fixed \texttt{-jobname} detection regex.
  \item
    added function \texttt{handle\_jobname}.
  \item
    added the \texttt{-\/-jobname} command line option.
  \end{itemize}
\item
  2019/08/26

  \begin{itemize}
  \tightlist
  \item
    quote file names and paths in \texttt{xtpipes} and \texttt{tidy}
    invocation.
  \end{itemize}
\item
  2019/08/25

  \begin{itemize}
  \tightlist
  \item
    the issue tracker link in the help message is now configurable.
  \item
    fixed bug in the XeTeX handling: the \texttt{.xdv} argument for
    \texttt{tex4ht} wasn't used if command line arguments for
    \texttt{tex4ht} were present.
  \end{itemize}
\item
  2019/07/03

  \begin{itemize}
  \tightlist
  \item
    new DOM filter: \texttt{odtpartable}. It fixes tables nested in
    paragraphs in the ODT format.
  \end{itemize}
\item
  2019/06/13

  \begin{itemize}
  \tightlist
  \item
    new DOM extension: \texttt{collapsetoc}.
  \end{itemize}
\item
  2019/05/29

  \begin{itemize}
  \tightlist
  \item
    new module: \texttt{make4ht-indexing} for working with index files.
  \end{itemize}
\item
  2019/05/24

  \begin{itemize}
  \tightlist
  \item
    version 0.2g released
  \item
    fixed failing \texttt{dvisvgm\_hashes} extension on Windows.
  \end{itemize}
\item
  2019/05/02

  \begin{itemize}
  \tightlist
  \item
    fixed infinite loop bug in the \texttt{dvisvgm\_hashes} extension.
  \end{itemize}
\item
  2019/04/09

  \begin{itemize}
  \tightlist
  \item
    \texttt{make4ht-joincolors} fix: remove the hash character from the
    color name. This caused issues with colors specified in the
    hexadecimal format.
  \end{itemize}
\item
  2019/04/02

  \begin{itemize}
  \tightlist
  \item
    \texttt{dvisvgm\_hashes} fix: update also the lgfile.images table
    with generated filenames, in order to support tex4ebook
  \end{itemize}
\item
  2019/04/01

  \begin{itemize}
  \tightlist
  \item
    fixed bug in \texttt{dvisvgm\_hashes} extension: didn't check for
    table index existence in string concenation
  \end{itemize}
\item
  2019/03/21

  \begin{itemize}
  \tightlist
  \item
    version 0.2f released
  \end{itemize}
\item
  2019/03/15

  \begin{itemize}
  \tightlist
  \item
    check for the image dimensions existence in the
    \texttt{odtimagesize} domfilter.
  \end{itemize}
\item
  2019/03/13

  \begin{itemize}
  \tightlist
  \item
    don't use \texttt{odtimagesize} domfilter in the \texttt{ODT}
    format, the issue it fixes had been resolved in \texttt{tex4ht}.
  \end{itemize}
\item
  2019/03/08

  \begin{itemize}
  \tightlist
  \item
    use \texttt{\%USERPROFILE} for home dir search on Windows.
  \end{itemize}
\item
  2019/01/28

  \begin{itemize}
  \tightlist
  \item
    added \texttt{joincolors} domfilter and \texttt{join\_colors}
    extension. It can join CSS rules created for the LaTeX colors and
    update the HTML file.
  \end{itemize}
\item
  2019/01/22

  \begin{itemize}
  \tightlist
  \item
    version 0.2e released
  \item
    updated the \texttt{odttemplate} filter. It will use styles from the
    generated ODT file that haven't been present in the template file.
  \end{itemize}
\item
  2019/01/10

  \begin{itemize}
  \tightlist
  \item
    version 0.2d released
  \end{itemize}
\item
  2019/01/05

  \begin{itemize}
  \tightlist
  \item
    added \texttt{docbook} and \texttt{tei} output formats.
  \end{itemize}
\item
  2018/12/19

  \begin{itemize}
  \tightlist
  \item
    new library: \texttt{make4ht-xtpipes.lua}. It contains code for
    xtpipes handling.
  \item
    moved Xtpipes handling code from \texttt{formats/odt.lua}.
  \end{itemize}
\item
  2018/12/18

  \begin{itemize}
  \tightlist
  \item
    new filter: \texttt{odttemplate}. It can be used for replacing style
    in a generated \texttt{ODT} file by a style from another existing
    \texttt{ODT} file.
  \item
    new extension: \texttt{odttemplate}. Companioning extension for
    filter with the same name.
  \item
    fixed bug in \texttt{make4ht-filters.lua}: the parameters table
    haven't been passed to filters.
  \end{itemize}
\item
  2018/12/17

  \begin{itemize}
  \tightlist
  \item
    fixed extension handling. The disabling from the command line didn't
    take precedence over extensions enabled in the config file.
    Extensions also could be executed multiple times.
  \end{itemize}
\item
  2018/11/08

  \begin{itemize}
  \tightlist
  \item
    removed replacing newlines by blank strings in the
    \texttt{joincharacters} domfilter. The issue it fixed doesn't seem
    to exist anymore, and it ate spaces sometimes.
  \end{itemize}
\item
  2018/11/01

  \begin{itemize}
  \tightlist
  \item
    added \texttt{t4htlinks} domfilter
  \item
    fixed the \texttt{xtpipes} and \texttt{filters} execution order in
    the \texttt{ODT} format
  \end{itemize}
\item
  2018/10/26

  \begin{itemize}
  \tightlist
  \item
    fixed ODT generation for files that contains special characters for
    Lua string patterns
  \item
    replace non-breaking spaces with entities. It caused issues in LO
  \end{itemize}
\item
  2018/10/18

  \begin{itemize}
  \tightlist
  \item
    fixed the executable installation
  \end{itemize}
\item
  2018/09/16

  \begin{itemize}
  \tightlist
  \item
    added the \texttt{scale} option for \texttt{dvisvgm\_hashes}
    extension
  \end{itemize}
\item
  2018/09/14

  \begin{itemize}
  \tightlist
  \item
    require the \texttt{-dvi} option with \texttt{latexmk\_build}
    extension
  \end{itemize}
\item
  2018/09/12

  \begin{itemize}
  \tightlist
  \item
    added \texttt{xindy} command for the build file
  \end{itemize}
\item
  2018/09/03

  \begin{itemize}
  \tightlist
  \item
    expanded the \texttt{-\/-help} option
  \end{itemize}
\item
  2018/08/27

  \begin{itemize}
  \tightlist
  \item
    added \texttt{odtimagesize} domfilter
  \item
    load \texttt{odtimagesize} by default in the ODT format
  \end{itemize}
\item
  2018/08/23

  \begin{itemize}
  \tightlist
  \item
    released version 0.2c
  \end{itemize}
\item
  2018/08/21

  \begin{itemize}
  \tightlist
  \item
    added processor core detection on Windows
  \item
    make processor number configurable
  \item
    updated the documentation.
  \end{itemize}
\item
  2018/08/20

  \begin{itemize}
  \tightlist
  \item
    added \texttt{dvisvgm\_hashes} extension
  \end{itemize}
\item
  2018/07/03

  \begin{itemize}
  \tightlist
  \item
    create the \texttt{mimetype} file to achieve the ODT file validity
  \end{itemize}
\item
  2018/07/02

  \begin{itemize}
  \tightlist
  \item
    disabled conversion of XML entities for \&, \textless{} and
    \textgreater{} characters back to Unicode, because it breaks XML
    validity
  \end{itemize}
\item
  2018/06/27

  \begin{itemize}
  \tightlist
  \item
    fixed root dir detection
  \end{itemize}
\item
  2018/06/26

  \begin{itemize}
  \tightlist
  \item
    added code for detection of TeX distribution root for Miktex and TL
  \end{itemize}
\item
  2018/06/25

  \begin{itemize}
  \tightlist
  \item
    moved call to \texttt{xtpipes} from \texttt{t4ht} to the
    \texttt{ODT} format drives. This should fix issues with path
    expansion in \texttt{tex4ht.env} in TeX distributions.
  \end{itemize}
\item
  2018/06/22

  \begin{itemize}
  \tightlist
  \item
    added \texttt{mkutils.find\_zip} function. It detects \texttt{zip}
    or \texttt{miktex-zip} executables
  \end{itemize}
\item
  2018/06/19

  \begin{itemize}
  \tightlist
  \item
    added new filter: \texttt{entities-to-unicode}. It converts XML
    entites for Unicode characters back to Unicode.
  \item
    execute \texttt{entities-to-unicode} filter on text and math files
    in the ODT output.
  \end{itemize}
\item
  2018/06/12

  \begin{itemize}
  \tightlist
  \item
    added support for direct \texttt{ODT} file packing
  \end{itemize}
\item
  2018/06/11

  \begin{itemize}
  \tightlist
  \item
    new function available for formats, \texttt{format.modify\_build}
  \item
    function \texttt{mkutils.delete\_dir} for directory removal
  \item
    function \texttt{mkutils.mv} for file moving
  \item
    started on packing of the \texttt{ODT} files directly by the format,
    instead of \texttt{t4ht}
  \end{itemize}
\item
  2018/06/08

  \begin{itemize}
  \tightlist
  \item
    added support for filenames containing spaces
  \item
    added support for filenames containing non-ascii characters
  \item
    don't require sudo for the installation, let the user to install
    symbolic links to \texttt{\$PATH}
  \end{itemize}
\item
  2018/05/03

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.2b}
  \item
    bug fix: use only \texttt{load} function in \texttt{Make:run}, in
    order to support a local environment.
  \end{itemize}
\item
  2018/05/03

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.2a}
  \item
    renamed \texttt{latexmk} extension to \texttt{latexmk\_build}, due
    to clash in TL
  \end{itemize}
\item
  2018/04/18

  \begin{itemize}
  \tightlist
  \item
    \texttt{staticsite} extension:

    \begin{itemize}
    \tightlist
    \item
      make YAML header configurable
    \item
      set the \texttt{time} and \texttt{updated} headers
    \end{itemize}
  \item
    don't override existing tables in \texttt{filter\_settings}
  \end{itemize}
\item
  2018/04/17

  \begin{itemize}
  \tightlist
  \item
    done first version of \texttt{staticsite} extension
  \end{itemize}
\item
  2018/04/16

  \begin{itemize}
  \tightlist
  \item
    check for Git repo in the Makefile, don't run Git commands outside
    of repo
  \end{itemize}
\item
  2018/04/15

  \begin{itemize}
  \tightlist
  \item
    added \texttt{staticsite} filter
  \item
    working on \texttt{staticsite} extension
  \end{itemize}
\item
  2018/04/13

  \begin{itemize}
  \tightlist
  \item
    use \texttt{ipairs} instead of \texttt{pairs} to traverse lists of
    images and image match functions
  \item
    load extensions in the correct order
  \end{itemize}
\item
  2018/04/09

  \begin{itemize}
  \tightlist
  \item
    released version \texttt{0.2}
  \item
    disabled default loading of \texttt{common\_domfilters} extension
  \end{itemize}
\item
  2018/04/06

  \begin{itemize}
  \tightlist
  \item
    added \texttt{Make:enable\_extension} and
    \texttt{Make:disable\_extension} functions
  \item
    documented the configuration file
  \end{itemize}
\item
  2018/03/09

  \begin{itemize}
  \tightlist
  \item
    load the configuration file before extensions
  \end{itemize}
\item
  2018/03/02

  \begin{itemize}
  \tightlist
  \item
    Aeneas execution works
  \item
    Aeneas documentation
  \item
    added support for \texttt{.make4ht} configuration file
  \end{itemize}
\item
  2018/02/28

  \begin{itemize}
  \tightlist
  \item
    Aeneas configuration file creation works
  \end{itemize}
\item
  2018/02/22

  \begin{itemize}
  \tightlist
  \item
    fixed bug in \texttt{fixinlines} DOM filter
  \end{itemize}
\item
  2018/02/21

  \begin{itemize}
  \tightlist
  \item
    added Aeneas domfilter
  \item
    fixed bugs in \texttt{joincharacters} DOM filter
  \end{itemize}
\item
  2018/02/20

  \begin{itemize}
  \tightlist
  \item
    fixed bug in \texttt{joincharacters} DOM filter
  \item
    make \texttt{woff} default font format for \texttt{mathjaxnode}
  \item
    added documentation for \texttt{mathjaxnode} settings
  \end{itemize}
\item
  2018/02/19

  \begin{itemize}
  \tightlist
  \item
    fixed bug in filter loading
  \item
    added \texttt{mathjaxnode} extension
  \end{itemize}
\item
  2018/02/15

  \begin{itemize}
  \tightlist
  \item
    use HTML5 as a default format
  \item
    use \texttt{common\_domfilters} implicitly for the XHTML and HTML5
    formats
  \end{itemize}
\item
  2018/02/12

  \begin{itemize}
  \tightlist
  \item
    added \texttt{common\_domfilters} extension
  \item
    documented DOM filters
  \end{itemize}
\item
  2018/02/12

  \begin{itemize}
  \tightlist
  \item
    handle XML parsing errors in the DOM handler
  \item
    enable extension loading in Formatters
  \end{itemize}
\item
  2018/02/11

  \begin{itemize}
  \tightlist
  \item
    fixed Tidy extension output to support LuaXML
  \item
    fixed white space issues with \texttt{joincharacters} DOM filter
  \end{itemize}
\item
  2018/02/09

  \begin{itemize}
  \tightlist
  \item
    fixed issues with the Mathjax filter
  \item
    documented basic info about thd DOM filters
  \item
    DOM filter optimalizations
  \end{itemize}
\item
  2018/02/08

  \begin{itemize}
  \tightlist
  \item
    make Tidy extension configurable
  \item
    documented filter settings
  \end{itemize}
\item
  2018/02/07

  \begin{itemize}
  \tightlist
  \item
    added filter for Mathjax-node
  \end{itemize}
\item
  2018/02/06

  \begin{itemize}
  \tightlist
  \item
    created DOM filter function
  \item
    added DOM filter for spurious inlinine elements
  \end{itemize}
\item
  2018/02/03

  \begin{itemize}
  \tightlist
  \item
    added settings handling functions
  \item
    settings made available for extensions and filters
  \end{itemize}
\item
  2017/12/08

  \begin{itemize}
  \tightlist
  \item
    fixed the \texttt{mk4} build file loading when it is placed in the
    current working dir and another one with same filename somewhere in
    the TEXMF tree.
  \end{itemize}
\item
  2017/11/10

  \begin{itemize}
  \tightlist
  \item
    Added new filter: \texttt{svg-height}. It tries to fix height of
    some of the images produced by \texttt{dvisvgm}
  \end{itemize}
\item
  2017/10/06

  \begin{itemize}
  \tightlist
  \item
    Added support for output format selection. Supported formats are
    \texttt{xhtml}, \texttt{html5} and \texttt{odt}
  \item
    Added support for extensions
  \end{itemize}
\item
  2017/09/10

  \begin{itemize}
  \tightlist
  \item
    Added support for Latexmk
  \item
    Added support of \texttt{math} library and \texttt{tonumber}
    function in the build files
  \end{itemize}
\item
  2017/09/04

  \begin{itemize}
  \tightlist
  \item
    fixed bug caused by the previous change -- the --help and --version
    didn't work
  \end{itemize}
\item
  2017/08/22

  \begin{itemize}
  \tightlist
  \item
    fixed the command line option parsing for \texttt{tex4ht},
    \texttt{t4ht} and \texttt{latex} commands
  \item
    various grammar and factual fixes in the documentation
  \end{itemize}
\item
  2017/04/26

  \begin{itemize}
  \tightlist
  \item
    Released version \texttt{v0.1c}
  \end{itemize}
\item
  2017/03/16

  \begin{itemize}
  \tightlist
  \item
    check for \texttt{TeX\ capacity\ exceeded} error in the \LaTeX~run.
  \end{itemize}
\item
  2016/12/19

  \begin{itemize}
  \tightlist
  \item
    use full input name in \texttt{tex\_file} variable. This should
    enable use of files without \texttt{.tex} extension.
  \end{itemize}
\item
  2016/10/22

  \begin{itemize}
  \tightlist
  \item
    new command available in the build file:
    \texttt{Make:add\_file(filename)}. This enables filters and commands
    to register files to the output.
  \item
    use ipairs instead of pairs for traversing files and executing
    filters. This should ensure correct order of executions.
  \end{itemize}
\item
  2016/10/18

  \begin{itemize}
  \tightlist
  \item
    new filter: replace colons in \texttt{id} and \texttt{href}
    attributes with underscores
  \end{itemize}
\item
  2016/01/11

  \begin{itemize}
  \tightlist
  \item
    fixed bug in loading documents with full path specified
  \end{itemize}
\item
  2015/12/06 version 0.1b

  \begin{itemize}
  \tightlist
  \item
    modifed lapp library to recognize \texttt{-\/-version} and
  \item
    added \texttt{-\/-help} and \texttt{-\/-version} command line
    options
  \end{itemize}
\item
  2015/11/30

  \begin{itemize}
  \tightlist
  \item
    use \texttt{kpse} library for build file locating
  \end{itemize}
\item
  2015/11/17

  \begin{itemize}
  \tightlist
  \item
    better \texttt{-jobname} handling
  \end{itemize}
\item
  2015/09/23 version 0.1a

  \begin{itemize}
  \tightlist
  \item
    various documentation updates
  \item
    \texttt{mozhtf} profile for unicode output is used, this should
    prevent ligatures in the output files
  \end{itemize}
\item
  2015/06/29 version 0.1

  \begin{itemize}
  \tightlist
  \item
    major README file update
  \end{itemize}
\item
  2015/06/26

  \begin{itemize}
  \tightlist
  \item
    added Makefile
  \item
    moved INSTALL instructions from README to INSTALL
  \end{itemize}
\end{itemize}
